ListResetPCPolicy (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.policy
Class ListResetPCPolicy

    java.lang.Object
      com.bbn.openmap.layer.policy.AbstractProjectionChangePolicy
          com.bbn.openmap.layer.policy.ListResetPCPolicy

All Implemented Interfaces:
  ProjectionChangePolicy

    public class ListResetPCPolicy

extends AbstractProjectionChangePolicy

ProjectionChangePolicy that uses a Layer SwingWorker to kick off a thread to call layer.prepare() and deletes the current OMGraphicList between projection changes. The standard behavior for layers that gather new OMGraphics for new projections.

Field Summary

Fields inherited from class com.bbn.openmap.layer.policy.AbstractProjectionChangePolicy
`layer`

Constructor Summary
`ListResetPCPolicy()` You MUST set a layer at some point.
`ListResetPCPolicy(OMGraphicHandlerLayer layer)` Don't pass in a null layer.

Method Summary
`void` | `projectionChanged(ProjectionEvent pe)` The method that is called when the projection changes.

Methods inherited from class com.bbn.openmap.layer.policy.AbstractProjectionChangePolicy
`getLayer, setLayer, workerComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListResetPCPolicy

    public ListResetPCPolicy()

  You MUST set a layer at some point.

### ListResetPCPolicy

    public ListResetPCPolicy(OMGraphicHandlerLayer layer)

  Don't pass in a null layer.

  Parameters:
    `layer` - OMGraphicHandlerLayer

Method Detail

### projectionChanged

    public void projectionChanged(ProjectionEvent pe)

  The method that is called when the projection changes. For the ListResetPCPolicy, the current OMGraphicList for the layer is cleared.

  Parameters:
    `pe` - the ProjectionEvent received from the MapBean when the projection changes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details